import { httpApi } from '../../request/httpApi'

export default {
    //获取当前合同段的划分树
    async queryWbsTreeData(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/queryContractWbsTreeByContractIdAndType',
            method: 'get',
            params: form,
        }, msg)
    },
    //根据合同段ID获取所有填报人
    async getFileUser(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/getFileUserByContractId',
            method: 'get',
            params: form,
        }, msg)
    },
    //获取当前合同段下所有的上报批次
    // async getReportNumber(form, msg = true) {
    //     return httpApi({
    //         url: '/api/blade-business/informationWriteQuery/getReportNumberByContractId',
    //         method: 'get',
    //         params: form
    //     }, msg)
    // },
    async getReportNumber(form, msg = true) {
        return httpApi({
            url: 'api/blade-business/task/query-batch-list-two',
            method: 'get',
            params: form,
        }, msg)
    },
    //获取流程状态分类和文件类型分类
    async getDictBizClassify(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/getDictBizClassifyByCode',
            method: 'get',
            params: form,
        }, msg)
    },
    //分页数据
    async getPageData(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/page',
            method: 'post',
            data: form,
        }, msg)
    },
    //批量废除
    async batchAbolish(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/batchAbolish',
            method: 'post',
            params: form,
        }, msg)
    },
    //批量下载
    async batchDownloadFileToZip(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/batchDownloadFileToZip',
            method: 'post',
            params: form,
            responseType: 'blob',
        }, msg)
    },
    //批量打印
    async batchPrint(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/batchPrint',
            method: 'post',
            params: form,
        }, msg)
    },
    //本地验签
    async localVerify(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/localVerify',
            method: 'post',
            params: form,
        }, msg)
    },
    //在线验签
    async onlineVerify(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/onlineVerify',
            method: 'post',
            params: form,
        }, msg)
    },
    //输入框查询合同段树
    async searchContractTree(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/searchContractTree',
            method: 'get',
            params: form,
        }, msg)
    },
    //获取合同段树所有数据
    async getTreeall(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/contractInfo/tree-all',
            method: 'get',
            params: form,
        }, msg)
    },
    //获取监理合同段树所有数据
    async getTreeallJl(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/contractInfo/tree-all-jl',
            method: 'get',
            params: form,
        }, msg)
    },
    //获取流程状态
    async getFirstTaskStatus(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/task/query-task-type-status?typeOrStatus=first_task_status',
            method: 'get',
            params: form,
        }, msg)
    },
}
